package App::POS::Printer::GENERIC;

use strict;
use warnings;

use base qw( App::Class );

sub tweak_content {}

sub init {
  my $self = shift;
}

sub logo { return "" }

sub document_start {
  return 
     chr(0x1B).
	 chr(0x63).
	 chr(0x34).
	 chr(0x04).
	 chr(0x1B).
	 chr(0x74).
	 chr(0x03);
}

sub document_end {
  return "";
}

sub print_invert {
  return "";
}

sub print_normal {
  return "";
}

sub black {
  return
    chr(0x1B).
    chr(0x72).
    chr(0x00);
}

sub red {
  return
    chr(0x1B).
    chr(0x72).
    chr(0x01);
}

sub bold {
  return "";
}

sub size_small {
  return
    chr(0x1B).
    chr(0x4D).
    chr(0x01);
}

sub size_double {
  return
    chr(0x1B).
    chr(0x21).
    chr(0x21);
}

sub size_huge {
  return
    chr(0x1B).
    chr(0x21).
    chr(0x71);
}

sub size_normal {
  return
    chr(0x1B).
    chr(0x21).
    chr(0x01);
}

sub underlined {
  return "";
}

sub underlined_off {
  return "";
}

sub line_change {
  return "";
}

sub cashdrawer1_open {
  return "";
}

sub cashdrawer2_open {
  return "";
}

#sub paper_cut {
#  return "";
#}
sub paper_cut {
  return
    chr(0x1B).
    chr(0x64).
    chr(0x08).
    chr(0x1B).
    chr(0x69);
}

sub bell {
  return "";
}

sub line_spacing_normal {
  return "";
}

sub line_spacing_big {
  return "";
}

sub justify_right {
  return
    chr(0x1B).chr(0x61).2
}
sub justify_center {
  return
    chr(0x1B).chr(0x61).1;
}

sub justify_left {
  return
    chr(0x1B).chr(0x61).0;
}

sub barcode {
  return ();
}

sub barcode_small {
  return ();
}

sub barcode_big {
  return ();
}

1;

